DISPLAYTH(3)

NAME
displayTH - displays a hash table

SYNOPSYS
#include "logmmm.h"
void displayTH(pTable)
pTH pTable;

PARAMETER

pTable
    Hash table to be viewed.

DESCRIPTION
displayTH() displays all items of pTable (index in the table, key and value). The key is displayed as a char * and the value as an int.

EXAMPLE
#include "logmmm.h"
pTH mytable;
mytable = createTH(100);
addTH(mytable,namealloc("var1"),0);
addTH(mytable,namealloc("var2"),1);
displayTH(mytable);
/* it will display
============== DISPLAYTH =================
Length = 100		         Count = 2
==========================================
index 	7	key	var2	value	1
index 	91	key	var1	value	0
==========================================
*/

SEE ALSO
log(1), tsh(1), destroyTH(3), createTH(3). searchTH(3), addTH(3), deleteTH(3).